Overview
GET
/processing/jobs/{id}processingRead a single job (poll for completion)
Fetch a record from jobs by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
Job status + result
- idstring
- status"queued" | "claimed" | "succeeded" | "dead"
- resultoptionalany
Example
{
"id": "string",
"status": "queued",
"result": {}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/processing/jobs/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/processing/jobs/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();